Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain
Interface ReportUnit

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  ReportUnitImpl

    public interface ReportUnit

extends Resource

Version:
  $Id: ReportUnit.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `LAYOUT_POPUP_SCREEN`
`static byte` | `LAYOUT_SEPARATE_PAGE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`void` | `addInputControl(InputControl inputControl)`
`void` | `addInputControl(ResourceReference inputControlReference)`
`void` | `addInputControlReference(java.lang.String referenceURI)`
`void` | `addResource(FileResource resource)`
`void` | `addResource(ResourceReference resourceReference)`
`void` | `addResourceReference(java.lang.String referenceURI)`
`byte` | `getControlsLayout()`
`ResourceReference` | `getDataSource()` Returns the reference to the `data source` used by this report unit.
`InputControl` | `getInputControl(java.lang.String name)`
`java.lang.String` | `getInputControlRenderingView()`
`java.util.List` | `getInputControls()` Returns a list of `references` to `input controls` used by this report unit.
`ResourceReference` | `getMainReport()` Returns the reference to the `JRXML resource` used by this report unit as master report
`ResourceReference` | `getQuery()` Returns the reference to the `query` used by this report unit.
`java.lang.String` | `getReportRenderingView()`
`FileResource` | `getResourceLocal(java.lang.String name)`
`java.util.List` | `getResources()`
`boolean` | `isAlwaysPromptControls()`
`ResourceReference` | `removeInputControl(int index)`
`InputControl` | `removeInputControlLocal(java.lang.String name)`
`boolean` | `removeInputControlReference(java.lang.String referenceURI)`
`ResourceReference` | `removeResource(int index)`
`FileResource` | `removeResourceLocal(java.lang.String name)`
`boolean` | `removeResourceReference(java.lang.String referenceURI)`
`void` | `replaceInputControlLocal(java.lang.String name, InputControl inputControl)`
`void` | `replaceInputControlLocal(java.lang.String name, ResourceReference inputControlReference)`
`void` | `replaceInputControlLocal(java.lang.String name, java.lang.String newReferenceURI)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, InputControl inputControl)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, ResourceReference inputControlReference)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, java.lang.String newReferenceURI)`
`void` | `setAlwaysPromptControls(boolean alwaysPromptControls)`
`void` | `setControlsLayout(byte controlsLayout)`
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSourceReference)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setInputControlRenderingView(java.lang.String viewName)`
`void` | `setInputControls(java.util.List inputControls)`
`void` | `setMainReport(FileResource report)`
`void` | `setMainReport(ResourceReference reportReference)`
`void` | `setMainReportReference(java.lang.String referenceURI)`
`void` | `setQuery(ResourceReference queryReference)`
`void` | `setReportRenderingView(java.lang.String viewName)`
`void` | `setResources(java.util.List resources)`
`ValidationResult` | `validate()`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### LAYOUT_POPUP_SCREEN

    static final byte LAYOUT_POPUP_SCREEN

See Also:
  Constant Field Values

### LAYOUT_SEPARATE_PAGE

    static final byte LAYOUT_SEPARATE_PAGE

See Also:
  Constant Field Values

Method Detail

### getDataSource

    ResourceReference getDataSource()

  Returns the reference to the `data source` used by this report unit.

  Returns:
    a reference to the data source used by this report unit

### setDataSource

    void setDataSource(ResourceReference dataSourceReference)

### setDataSource

    void setDataSource(ReportDataSource dataSource)

### setDataSourceReference

    void setDataSourceReference(java.lang.String referenceURI)

### getQuery

    ResourceReference getQuery()

  Returns the reference to the `query` used by this report unit.

  Returns:
    a reference to the query used by this report unit

### setQuery

    void setQuery(ResourceReference queryReference)

### getInputControls

    java.util.List getInputControls()

  Returns a list of `references` to `input controls` used by this report unit.

  Returns:
    a list of references to the input controls used by this report unit

### getInputControl

    InputControl getInputControl(java.lang.String name)

### setInputControls

    void setInputControls(java.util.List inputControls)

### addInputControl

    void addInputControl(InputControl inputControl)

### addInputControl

    void addInputControl(ResourceReference inputControlReference)

### addInputControlReference

    void addInputControlReference(java.lang.String referenceURI)

### removeInputControl

    ResourceReference removeInputControl(int index)

### removeInputControlReference

    boolean removeInputControlReference(java.lang.String referenceURI)

### removeInputControlLocal

    InputControl removeInputControlLocal(java.lang.String name)

### getMainReport

    ResourceReference getMainReport()

  Returns the reference to the `JRXML resource` used by this report unit as master report

  Returns:
    a reference to the master report of this report unit

### setMainReport

    void setMainReport(ResourceReference reportReference)

### setMainReport

    void setMainReport(FileResource report)

### setMainReportReference

    void setMainReportReference(java.lang.String referenceURI)

### getResources

    java.util.List getResources()

### getResourceLocal

    FileResource getResourceLocal(java.lang.String name)

### setResources

    void setResources(java.util.List resources)

### addResource

    void addResource(FileResource resource)

### addResource

    void addResource(ResourceReference resourceReference)

### addResourceReference

    void addResourceReference(java.lang.String referenceURI)

### removeResource

    ResourceReference removeResource(int index)

### removeResourceLocal

    FileResource removeResourceLocal(java.lang.String name)

### removeResourceReference

    boolean removeResourceReference(java.lang.String referenceURI)

### setInputControlRenderingView

    void setInputControlRenderingView(java.lang.String viewName)

### getInputControlRenderingView

    java.lang.String getInputControlRenderingView()

### setReportRenderingView

    void setReportRenderingView(java.lang.String viewName)

### getReportRenderingView

    java.lang.String getReportRenderingView()

### setAlwaysPromptControls

    void setAlwaysPromptControls(boolean alwaysPromptControls)

### isAlwaysPromptControls

    boolean isAlwaysPromptControls()

### setControlsLayout

    void setControlsLayout(byte controlsLayout)

### getControlsLayout

    byte getControlsLayout()

### validate

    ValidationResult validate()

### replaceInputControlReference

    void replaceInputControlReference(java.lang.String referenceURI,
                                      ResourceReference inputControlReference)

### replaceInputControlReference

    void replaceInputControlReference(java.lang.String referenceURI,
                                      java.lang.String newReferenceURI)

### replaceInputControlReference

    void replaceInputControlReference(java.lang.String referenceURI,
                                      InputControl inputControl)

### replaceInputControlLocal

    void replaceInputControlLocal(java.lang.String name,
                                  ResourceReference inputControlReference)

### replaceInputControlLocal

    void replaceInputControlLocal(java.lang.String name,
                                  java.lang.String newReferenceURI)

### replaceInputControlLocal

    void replaceInputControlLocal(java.lang.String name,
                                  InputControl inputControl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.